// Promenne

var rs_hp = false;
var liTimer;
var sma,smt;	//actual,timer submenu
primary_div = 'respekt';

// Funkce

/* Cookies B */
	var cookieArray = new Array();
	
	function parseCookie() {
		var cookieList=document.cookie.split("; ");
		for (var i=0; i < cookieList.length; i++) {
			var spl = cookieList[i].split("=");
			cookieArray[unescape(spl[0])] = unescape(spl[1]);
			//alert(spl[0] + " = " + cookieArray[unescape(spl[0])]);
		}
	}
	
	function getCookie(name) {
		if (cookieArray[name]) { return cookieArray[name]; } else { return ""; }
	}
	
	function setCookie(name, value, expire) {
		var cookielife = new Date();
		cookielife.setDate(cookielife.getDate() + expire);
		document.cookie = name + "=" + escape(value) + ((expire) ? "; expires=" + cookielife.toGMTString() : "");
	}
	
	//parseCookie();
/* Cookies E */

function toplogin() {
	$.post("http://respekt.ihned.cz/index.php?p=RRL000_a", $("#toploginform").serialize(), function(data){
		if (data == "1") {
			location.reload();
		} else {
			$("#logininfo").html(data);
			$("#logininfo").slideDown();
			clearTimeout(liTimer);
			liTimer = setTimeout('$("#logininfo").slideUp()',12000);
		}
	});
}

function loadwebmap() {
	if ($("#webmap").html()=='') {
		$("#webmap").ajaxStop(function(){
			$("#webmap").show();
		});
		$("#webmap").load('/index.php?p=ROWM00_a');
	} else {
		$("#webmap").toggle();
	}
}

function col3height() {
	var pom = get_yPos("main");
	var c3h = get_yPos("col3end") - pom;
	if (document.getElementById("readed-bottom") != null) {
		pom = get_yPos("readed-bottom") - pom;
	} else {
		pom = get_yPos("foot") - pom;
	}
	if ((c3h+75)>pom) { $(".col12").css("height",c3h); }
}

function on_load2() {
	iload = true;
	
	sma = $("#menu-nl");
	$("#m-nl SPAN").mouseenter(function(){	var rsp = $("#respekt").offset(); $("#menu-nl").css("top",(rsp.top+134)).css("left",(rsp.left+506));
						clearTimeout(smt); $(sma).hide(); $("#menu-nl").show(); sma=$("#menu-nl"); }).mouseleave(function(){ smt = setTimeout('$(sma).hide();',1000); });
	$("#m-ep SPAN").mouseenter(function(){	var rsp = $("#respekt").offset(); $("#menu-ep").css("top",(rsp.top+134)).css("left",(rsp.left+649));
						clearTimeout(smt); $(sma).hide(); $("#menu-ep").show(); sma=$("#menu-ep"); }).mouseleave(function(){ smt = setTimeout('$(sma).hide();',1000); });
	$(".submenu").mouseenter(function(){ clearTimeout(smt); }).mouseleave(function(){ smt = setTimeout('$(sma).hide();',1000); });

	$("#login-box").click(function() {
		$("#login").slideToggle(500);
	});
	
}